.modalWrapper {
    width: 460px;
    margin: 0 auto;
    height: 100%;
    display: flex !important;
    align-items: center;
    max-width: unset;

    [class~='rs-modal-dialog']{
        width: 100%;
    }
    [class~='rs-modal-content']{
        border-radius: 16px;
        padding: 24px;
    }
    [class~='rs-modal-body']{
        margin: 0;
        padding: 0;

        .content-modal {
            display: flex;
            flex-direction: column;
            gap: 24px;

            .title {
                color: #EF4E2B;
                font-size: 20px;
                font-weight: 600;
                line-height: 140%;
                text-transform: uppercase;
            }

            .descriptions {

                span {
                    color: #202226;
                    font-size: 14px;
                    font-weight: 500;
                    line-height: 20px;
                }
            }

            .box-note {
                display: flex;
                flex-direction: column;
                padding: 15px;
                justify-content: center;
                align-items: flex-start;
                gap: 5px;

                border-radius: 8px;
                background: #DEF2FF;

                .note {
                    display: flex;
                    align-items: center;
                    gap: 5px;
                    font-size: 14px;
                    font-weight: 700;
                    line-height: 20px;

                    svg {
                        width: 19px;
                        height: 19px;
                    }
                }

                .note-content {
                    padding-left: 24px;
                    color: #202226;
                    font-size: 14px;
                    font-weight: 500;
                    line-height: 20px;

                    a {
                        line-height: 20px;
                    }

                    svg {
                        rotate: 180deg;
                        width: auto;
                        height: 10px;
                        path {
                            fill: #1675e0;
                        }
                    }
                }

                &.add-unit-test {
                    .note {
                        color: #08F;
                    }

                    .note-content {
                        > span {
                            display: block;
                        }
                    }
                }

                &.confirm-buy{
                    .note {
                        color: #F79945;
                    }
                }
            }

            .action {
                width: 100%;
                display: flex;
                flex-direction: row;
                justify-content: flex-end;
                gap: 15px;

                button {
                    display: flex;
                    height: 33px;
                    padding: 12px 24px;
                    align-items: center;
                    gap: 6px;
                    text-align: center;
                    font-feature-settings: 'clig' off, 'liga' off;
                    font-size: 13px;
                    font-weight: 400;
                    line-height: 24px;

                    &.close {
                        --rs-btn-default-text: #8E91A0;
                        --rs-btn-default-hover-text: #8E91A0;
                        --rs-btn-default-active-text: #8E91A0;
                        border-radius: 40px;
                        --rs-btn-default-bg: #F6F6F6;
                        --rs-btn-default-hover-bg: #F6F6F6;
                        --rs-btn-default-active-bg: #F6F6F6;
                    }

                    &.submit {
                        --rs-btn-default-text: #FFF;
                        --rs-btn-default-hover-text: #FFF;
                        --rs-btn-default-active-text: #FFF;
                        border-radius: 40px;
                        --rs-btn-default-bg: #EF4E2B;
                        --rs-btn-default-hover-bg: #EF4E2B;
                        --rs-btn-default-active-bg: #EF4E2B;
                    }
                }
            }
        }
    }
}